html,
body {
  font-family: MS Sans Serif, Arial, sans-serif;
  height: 100%;
  margin: 0;
  padding: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

.LoginPage,
.RegisterPage {
  display: grid;
  place-items: center;
  height: 90vh;
}

.ShopPage {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr 1fr;
  gap: 0px 0px;
  grid-template-areas:
    "titre titre titre"
    "d1 d2 d3"
    "d1 d2 d3"
    "d1 d2 d3";
}

.d1 {
  grid-area: d1;
}

.d1 .ShopPage-card-img {
  background: url('../../img/d1.png') center/contain no-repeat;
}

.d2 {
  grid-area: d2;
}

.d2 .ShopPage-card-img {
  background: url('../../img/d2.png') center/contain no-repeat;
}

.d3 {
  grid-area: d3;
}

.d3 .ShopPage-card-img {
  background: url('../../img/d3.png') center/contain no-repeat;
}

.titre {
  grid-area: titre;
  text-align: center;
  font-size: 4em;
  padding: 40px 0 80px;
}

.ShopPage-card {
  margin: auto;
  background: rgb(0, 0, 0);
  width: 380px;
  height: 600px;
  border-radius: 50px;
  display: grid;
  grid-auto-columns: 1fr;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: 1fr 1.2fr 1.2fr 1.2fr 0.35fr 0.3fr;
  grid-template-areas:
    "ShopPage-card-header ShopPage-card-header ShopPage-card-header ShopPage-card-header"
    ". ShopPage-card-img ShopPage-card-img ."
    ". ShopPage-card-img ShopPage-card-img ."
    "ShopPage-card-description ShopPage-card-description ShopPage-card-description ShopPage-card-description"
    ". ShopPage-card-button ShopPage-card-button ."
    ". . . .";
}

.ShopPage-card-header {
  color: white;
  text-align: center;
  font-size: 1.4em;
  padding: 10px 0 10px 0;
  grid-area: ShopPage-card-header;
}

.ShopPage-card-img {
  grid-area: ShopPage-card-img;
  height: 100%;
  width: 100%;
  margin: 0 auto;
}

.ShopPage-card-description {
  color: white;
  text-align: center;
  font-size: 1.2em;
  padding: 0 30px;
  grid-area: ShopPage-card-description;
}


.ShopPage-card-button {
  color: white;
  font-size: 1.2em;
  border-radius: 10px;
  grid-area: ShopPage-card-button;
  background: green;
}



/* PART USER PAGE */

.UserPageChild1 {
  display: flex;
  justify-content: space-around;
  padding-top: 3%;
}

.Card {
  width: 20%;
}

.Card-img {
  display: flex;
  justify-content: center;
}

.Card-img img {
  height: 90px;
  padding-bottom: 23px;
}

.UserBtn {
  width: 100%;
}

.UserPage-pseudo-card {
  display: flex;
  flex-direction: column;
}

.Title-card {
  display: flex;
  justify-content: center;
  margin-bottom: 41.025px;
}

.Title-of-pseudo-card {
  margin: 0;
}

.Buttons-UserPage {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

.UserPage-pseudo-card-button1 {
  margin-bottom: 20%;
}

.UserPage-salons-card {
  display: flex;
  flex-direction: column;
}

.UserPage-pseudo-card-button1 {
  margin-bottom: 20px;
}

.UserPage-block-card {
  width: 69.5%;
  margin-left: 27.5%;
  margin-top: 5%;
  margin-right: 3%;
}

.Title-of-salons-card {
  margin: 0;
}

.UserPage-block-card {
  display: flex;
  flex-direction: column;
  border: 2px black solid;
  border-radius: 20px;
  background-color: #e9e9e9;
}

.UserPage-block-card-titre {
  display: flex;
  justify-content: center;
}

.UserPage-block-card-li {
  display: flex;
  justify-content: center;
  margin-bottom: 1%;
}

.UserPage-block-card-li h3 {
  display: flex;
  align-items: center;
  margin: 0 2% 0 0;
}

.UserPage-block-card-li Button {
  margin-left: 2%;
  padding-top: 0;
  padding-bottom: 0;
}

.errorInput {
  color: red;
  font-size: 0.8em;
}